Subject: Re: bug#47872: 28.0.50; Emacs tries to load character map files from buildir instead of libdir or datadir

From: Bjoern Bidar <[email-masked]>
Date: Sun, 18 Apr 2021 23:47:05 +0300

Am Sonntag, 18. April 2021, 22:17:46 EEST schrieben Sie:
> > From: Bjoern Bidar <[email-masked]>
> > Date: Sun, 18 Apr 2021 21:51:25 +0300
> > 
> > > Then please describe in detail the steps you took to configure, build,
> > > and install the native-comp branch, and how did you invoke it after
> > > that.
> > 
> > Like mentioned in the first message of this thread (except pgtk of
> > course).
> > 
> > I quote:
> >  'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
> >  --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
> >  --with-sound=alsa --with-modules --without-gconf --without-gsettings
> >  --with-nativecomp --enable-link-time-optimization
> >  --enable-profiling --with-x-toolkit=gtk3 --without-xaw3d
> >  --without-m17n-flt --with-cairo 'CFLAGS=-mtune=native -O2 -pipe
> >  -fstack-protector-strong -fno-plt -fPIC -g -flto -fuse-linker-plugin
> >  -fuse-ld=gold -g -flto -fuse-linker-plugin -fuse-ld=gold'
> >  CPPFLAGS=-D_FORTIFY_SOURCE=2
> >  LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
> > 
> > Make install
> > 
> > Run emacs:
> > emacs
> 
> Thanks.  But in your original report you said:
> > On my build to today I noticed that emacs tries to load files from the
> 
> > build dir instead of the destdir/libdir or datadir:
> So what is that "build dir" in this case, and what is destdir/libdir
> and datadir?  Without knowing that, how to understand the warning
> 
Buildir is the directory where emacs is build in e.g. In my cause the 
directory where .git  or configure.ac is in.

>Actually, I found that we were not calling one of the functions that
>are supposed to set this up, so please try the latest native-comp
>branch and see if the problem is solved.
Solved now.